## Index

### Enumerations

- ServiceActionType

### Classes

- ServiceImpl

### Interfaces

- IService
- OwnProps

### Type aliases

- Props

### Variables

- Service

### Functions

- styles

### Object literals

- ServiceActionButtonIconMap

## Type aliases

### Props

Props: OwnProps & WithSheet<styles>

- Defined in components/Service/index.tsx:110

## Variables

### Const Service

Service: ComponentClass<object & StyledComponentProps<"icon" | "action" | "container" | "iconContainer" | "serviceDetails" | "serviceName" | "iconPin" | "svgPath">, any> | StatelessComponent<object & StyledComponentProps<"icon" | "action" | "container" | "iconContainer" | "serviceDetails" | "serviceName" | "iconPin" | "svgPath">> = injectSheet(styles)(ServiceImpl)

- Defined in components/Service/index.tsx:163

## Functions

### Const styles

- styles(theme: ThemeTypes): object

- - Defined in components/Service/index.tsx:38

  #### Parameters

  - ##### theme: ThemeTypes

  #### Returns object

## Object literals

### Const ServiceActionButtonIconMap

ServiceActionButtonIconMap: object

- Defined in components/Service/index.tsx:32

### __computed

__computed: IconSymbol = IconSymbol.CROSS

- Defined in components/Service/index.tsx:33
- Defined in components/Service/index.tsx:34
- Defined in components/Service/index.tsx:35

Generated using TypeDoc